precision mediump float;			// Set the default precision to medium. We don't need as high of a precision in the fragment shader.

uniform lowp sampler2D u_Texture;	// The input texture.
uniform lowp sampler2D u_alpha;		// The alpha image
varying lowp vec4 v_Color;			// This is the color from the vertex shader interpolated across the triangle per fragment.
varying vec2 v_TexCoordinate;		// Interpolated texture coordinate per fragment.

uniform float u_Time;
uniform lowp sampler2D u_Mask;
uniform lowp sampler2D u_Overlay;
uniform lowp sampler2D u_OverlayAlpha;
uniform lowp sampler2D u_Noise;

void main()
{
	lowp vec3 sample = texture2D(u_Texture, v_TexCoordinate).rgb;
	float sampleAlpha = texture2D(u_alpha, v_TexCoordinate).a;
	
	float mask = texture2D(u_Mask, v_TexCoordinate).r;

	float t = (sin(u_Time) + 1.0) * 0.5;

	lowp vec4 overlay = texture2D(u_Overlay, v_TexCoordinate);
	float overlayAlpha = texture2D(u_OverlayAlpha, v_TexCoordinate).a;

	vec2 screen_uv = gl_FragCoord.xy / vec2(256.0, 256.0); //looks better on tweedle cause of the changing wing frames
	float dissolve = step(1.0-t, texture2D(u_Noise, v_TexCoordinate).r);

	//gl_FragColor = vec4(t * sampleAlpha, 0, 0, sampleAlpha);
	gl_FragColor = vec4( mix(sample, mix(sample, mask * overlay.rgb * overlayAlpha, dissolve), mask), 
		mix(sampleAlpha, mix(sampleAlpha, overlayAlpha, dissolve), mask));

	
}
