precision mediump float;			// Set the default precision to medium. We don't need as high of a precision in the fragment shader.

uniform lowp sampler2D u_Texture;	// The input texture.
uniform lowp sampler2D u_alpha;		// The alpha image
varying lowp vec4 v_Color;			// This is the color from the vertex shader interpolated across the triangle per fragment.
varying vec2 v_TexCoordinate;		// Interpolated texture coordinate per fragment.

uniform float u_Time;
uniform lowp sampler2D u_Other;
uniform lowp sampler2D u_OtherAlpha;

void main()
{
	lowp vec4 sample;
	sample.a = texture2D(u_alpha, v_TexCoordinate).a;
	sample.rgb = texture2D(u_Texture, v_TexCoordinate).rgb;
	float t = (sin(u_Time*0.5) + 1.0) * 0.5;

	lowp vec3 other;
	other.rgb = texture2D(u_Other, v_TexCoordinate).rgb;
	float otherAlpha = texture2D(u_OtherAlpha, v_TexCoordinate).a;

	gl_FragColor = vec4(mix(sample.rgb, other * otherAlpha, t), sample.a) * v_Color;
}
