precision mediump float;			// Set the default precision to medium. We don't need as high of a precision in the fragment shader.
uniform lowp sampler2D u_Texture;	// The input texture.
uniform lowp sampler2D u_alpha; // The alpha image
varying lowp vec4 v_Color;			// This is the color from the vertex shader interpolated across the triangle per fragment.
varying vec2 v_TexCoordinate;		// Interpolated texture coordinate per fragment.

void main()
{				
	lowp vec4 sample;                                
	sample.rgb = texture2D(u_Texture, v_TexCoordinate).rgb;
	sample.a = texture2D(u_alpha, v_TexCoordinate).a;                             
	gl_FragColor = vec4((1.0 - sample.rgb) * sample.a, sample.a);              
}