precision mediump float;

uniform float u_Time;

uniform lowp sampler2D u_Texture;	// The input texture.
uniform lowp sampler2D u_alpha; // The alpha image
varying lowp vec4 v_Color;			// This is the color from the vertex shader interpolated across the triangle per fragment.
varying vec2 v_TexCoordinate;		// Interpolated texture coordinate per fragment.

#define WIDTH 0.005
#define OUTLINE_COLOR vec3(0, 0, 0)



void main()
{			
	//do lookup in alpha texture	
	float a0 = texture2D(u_alpha, v_TexCoordinate).a;                             
	float a1 = texture2D(u_alpha, v_TexCoordinate + vec2(WIDTH, 0)).a;
	float a2 = texture2D(u_alpha, v_TexCoordinate + vec2(-WIDTH, 0)).a;
	float a3 = texture2D(u_alpha, v_TexCoordinate + vec2(0, WIDTH)).a;
	float a4 = texture2D(u_alpha, v_TexCoordinate + vec2(0, -WIDTH)).a;
	float result = (a0 + a1 + a2 + a3 + a4);// * 0.2; //blur it
	vec3 outline = OUTLINE_COLOR * result * (1.0 - a0) + vec3(1.0, 1.0, 1.0) * a0;	
	vec3 rgb = texture2D(u_Texture, v_TexCoordinate).rgb;	
	gl_FragColor = vec4(outline, result * (1.0 - a0) + a0);              
}