precision mediump float;			// Set the default precision to medium. We don't need as high of a precision in the fragment shader.

uniform lowp sampler2D u_Texture;	// The input texture.
uniform lowp sampler2D u_alpha;		// The alpha image
varying lowp vec4 v_Color;			// This is the color from the vertex shader interpolated across the triangle per fragment.
varying vec2 v_TexCoordinate;		// Interpolated texture coordinate per fragment.

uniform float u_Time;
uniform lowp sampler2D u_Palette;

void main()
{
	float alpha = texture2D(u_alpha, v_TexCoordinate).a;

	//compute offset over time 0 <-> 1
	float offset = 0.1 + ((sin(u_Time) + 1.0) * 0.5) * 0.8;

	//alpha = alpha * (0.8 + offset * 0.2);

	//lookup the value in the palette
	lowp vec4 final = texture2D(u_Palette, vec2(offset, 0.5)) * alpha;
	gl_FragColor = vec4(final.rgb, alpha);
}
