precision mediump float;

uniform float u_Time;
uniform vec3 u_Resolution;

uniform vec3 u_ScreenPosition;

uniform lowp sampler2D u_Texture;	// The input texture.
uniform lowp sampler2D u_alpha;		// The alpha image
varying lowp vec4 v_Color;			// This is the color from the vertex shader interpolated across the triangle per fragment.
varying vec2 v_TexCoordinate;		// Interpolated texture coordinate per fragment.


void main()
{
	float p = distance(u_ScreenPosition.xy / vec2(480.0, 320.0), gl_FragCoord.xy / u_Resolution.xy) * 0.001;

	vec3 color = texture2D(u_Texture, v_TexCoordinate).rgb;
	float alpha = texture2D(u_alpha, v_TexCoordinate).a;

	gl_FragColor = vec4(gl_FragCoord.x / u_Resolution.x, 0, 0, alpha);
}