precision mediump float;

uniform float u_Time;

uniform lowp sampler2D u_Texture;	// The input texture.
uniform lowp sampler2D u_alpha; // The alpha image
varying lowp vec4 v_Color;			// This is the color from the vertex shader interpolated across the triangle per fragment.
varying vec2 v_TexCoordinate;		// Interpolated texture coordinate per fragment.

void main()
{			
	float t = clamp(u_Time / 6., 0., 1.);
	vec2 coords = v_TexCoordinate;
	vec2 dir = vec2(.5) - coords;
	float dist = distance(coords, vec2(.5));
	vec2 offset = dir * (sin(dist * 80. - u_Time*10.) + .5) / 120.;
	vec2 texCoord = coords + offset;
	
	lowp vec4 sample;        	                       
	sample.rgb = texture2D(u_Texture, texCoord).rgb;
	sample.a = texture2D(u_alpha, texCoord).a;                             
	gl_FragColor = vec4(sample.rgb * sample.a, sample.a);              
}